<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php'); 

if (empty($User)) {
	htmlError('Редактировать блоги может только администрация', 'user');
} else {
	if ($User['access'] != 2) {
		htmlError('Редактировать блоги может только администрация', 'user');
	} else {
		if (empty($_GET['id'])) {
			htmlError('Статья не найдена', 'user');
		} else {
			$articleId = filterInt($_GET['id']);
			$article = DB::$dbs->queryFetch("SELECT * FROM ". ARTICLE ." WHERE `id` = ?", [$articleId]); 

			if (empty($article)) {
				htmlError('Статья не найдена', 'user');
			} else {
				if (isset($_POST['try'])) {
					$data 				= $_POST; 
					$data['name'] 		= $data['name'];
					$data['text'] 		= $data['text'];
					$data['categoryId'] = filterInt($data['categoryId']);

					if (empty($data['name']) || mb_strlen($data['name']) > 100) {
						htmlError('Неправильное значение поля Название', 'user');
					} else if (empty($data['text'])) {
						htmlError('Неправильное значение поля Текст', 'user');
					} else if (empty($data['categoryId'])) {
						htmlError('Неправильное значение поля Категория', 'user');
					} else { 
						if (!empty($_FILES['file']) && file_exists($_FILES['file']['tmp_name'])) {
							$inc 						= $_SERVER['DOCUMENT_ROOT'];
							$name 						= $_FILES['file']['name'];
							$ext 						= strtolower(strrchr($name, '.'));
							$par 						= getimagesize($_FILES['file']['tmp_name']);
							$size 						= $_FILES['file']['size']; 
			                $photo 						= md5($User['id'] . $_SERVER['REQUEST_TIME']) . $ext;
			                $pictures 					= ['.jpg', '.jpeg', '.gif', '.png'];
			                $config['photoPar'][0] 		= 1600; 
			                $config['photoPar'][1] 		= 1600; 
			                $config['maxUploadPhoto'] 	= 5; 

			                if ($par[0] > $config['photoPar'][0] || $par[1] > $config['photoPar'][1]) {
			                    htmlError('Разрешение фотографии превышает допустимое значение. [Max. '.$config['photo_par'][0].'x'.$config['photo_par'][1].']', 'user');
			                } else if ($size > (1048576 * $config['maxUploadPhoto'])) {
			                    htmlError('Размер фотографии превышает допустимое значение. [Max. '.$config['maxUploadPhoto'].'mb]', 'user');                     
			                } else if (preg_match('/.php/i', $name) || preg_match('/.pl/i', $name) || $name == '.htaccess' || !in_array($ext, $pictures)) {
			                  htmlError('Не верное расширение файла.', 'user');
			                } else {
			                	copy($_FILES['file']['tmp_name'], $inc . '/Images/Article/Temp/'. $photo);  
			               		htmlImgResize($inc . '/Images/Article/Temp/'. $photo, $inc . '/Images/Article/'. $photo, 220, 220); 
			               		$image = $photo;
			                }
						}  

						$image = (!empty($image) ? $image : (!empty($article['image']) ? $article['image'] : null));

						DB::$dbs->query("UPDATE ". ARTICLE ." SET `name` = ?, `text` = ?, `categoryId` = ?, `image` = ? WHERE `id` = ?", [$data['name'], $data['text'], $data['categoryId'], $image, $articleId]);

						$page = DB::$dbs->queryFetch("SELECT * FROM ". PAGES ." WHERE `uri` = ?", ['/Pages/Article/View?id='. $articleId]); 

						# Insert page information: title, description; 
						if (!empty($page)) {
							DB::$dbs->query("UPDATE ". PAGES ." SET `title` = ?, `desc` = ? WHERE `uri` = ?", [$data['name'], $data['text'], '/Pages/Article/View?id='. $articleId]);
						} else {
							DB::$dbs->query("INSERT INTO ". PAGES ." (`uri`, `title`, `desc`) VALUES (?, ?, ?)", ['/Pages/Article/View?id='. $articleId, $data['name'], $data['text']]);
						} 
						# End insert; 
						htmlSuccess('Статья успешно отредактирована');
					}
				} 

				$category = DB::$dbs->query("SELECT * FROM ". ARTICLE_CATEGORY ."");
				?>

<div class="ContentBlock" style="text-align: center;">
	<form action="" method="POST" enctype="multipart/form-data">
		<b>Название(100):</b><br/>
		<input type="text" name="name" value="<?=(!empty($article['name']) ? filterOutput($article['name']) : null)?>"><br/> 
		<b>Текст(unlim):</b><br/>
		<textarea name="text"><?=(!empty($article['text']) ? filterOutput($article['text']) : null)?></textarea><br/>
		<b>Текущее изображение:</b><br/>
		 <img class="thumb" src="<?=(empty($article['image']) ? '/Images/none.png' : '/Images/Article/'. filterOutput($article['image']))?>" /><br/> 
		<b>Новое изображение:</b><br/>
		<input type="file" name="file"><br/>
		<b>Категория:</b><br/>
		<select name="categoryId">
			<?php while ($cat = $category -> fetch()) :?>
				<option value="<?=$cat['categoryId']?>"><?=$cat['name']?></option>
			<?php endwhile;?>
		</select><br/>
		<input type="submit" name="try" value="Изменить">
	</form>
</div>

				<?php
			}
		}
	}
} 

htmlFooter();