<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

if (empty($User)) {
	htmlError('Создавать блоги может только администрация', 'user');
} else {
	if ($User['access'] != 2) {
		htmlError('Создавать блоги может только администрация', 'user');
	} else {
		if (isset($_POST['try'])) {
			$data 				= $_POST; 
			$data['name'] 		= $data['name']; # Use filter output!!!
			$data['text'] 		= $data['text']; # Use filter output!!!
			$data['categoryId'] = filterInt($data['categoryId']); 

			if (empty($data['name']) || mb_strlen($data['name']) > 100) {
				htmlError('Неправильное значение поля Название', 'user');
			} else if (empty($data['text'])) {
				htmlError('Неправильное значение поля Текст', 'user');
			} else if (empty($data['categoryId'])) {
				htmlError('Неправильное значение поля Категория', 'user');
			} else {
				if (!empty($_FILES['file']) && file_exists($_FILES['file']['tmp_name'])) {
					$inc 						= $_SERVER['DOCUMENT_ROOT'];
					$name 						= $_FILES['file']['name'];
					$ext 						= strtolower(strrchr($name, '.'));
					$par 						= getimagesize($_FILES['file']['tmp_name']);
					$size 						= $_FILES['file']['size']; 
	                $photo 						= md5($User['id'] . $_SERVER['REQUEST_TIME']) . $ext;
	                $pictures 					= ['.jpg', '.jpeg', '.gif', '.png'];
	                $config['photoPar'][0] 		= 1600; 
	                $config['photoPar'][1] 		= 1600; 
	                $config['maxUploadPhoto'] 	= 5; 

	                if ($par[0] > $config['photoPar'][0] || $par[1] > $config['photoPar'][1]) {
	                    htmlError('Разрешение фотографии превышает допустимое значение. [Max. '.$config['photo_par'][0].'x'.$config['photo_par'][1].']', 'user');
	                } else if ($size > (1048576 * $config['maxUploadPhoto'])) {
	                    htmlError('Размер фотографии превышает допустимое значение. [Max. '.$config['maxUploadPhoto'].'mb]', 'user');                     
	                } else if (preg_match('/.php/i', $name) || preg_match('/.pl/i', $name) || $name == '.htaccess' || !in_array($ext, $pictures)) {
	                  htmlError('Не верное расширение файла.', 'user');
	                } else {
	                	copy($_FILES['file']['tmp_name'], $inc . '/Images/Article/Temp/'. $photo);  
	               		htmlImgResize($inc . '/Images/Article/Temp/'. $photo, $inc . '/Images/Article/'. $photo, 220, 220); 
	               		$image = $photo;
	                }
				}  

				$image = (!empty($image) ? $image : 0); 

				# Insert Article;
				DB::$dbs->query("INSERT INTO ". ARTICLE ." (`name`, `text`, `image`, `categoryId`, `timeAdd`, `author`) VALUES (?, ?, ?, ?, ?, ?)", [$data['name'], $data['text'], $image, $data['categoryId'], $_SERVER['REQUEST_TIME'], $User['id']]);
				# End insert article;

				$last = DB::$dbs->lastInsertId();

				# Insert Title and Description;
				DB::$dbs->query("INSERT INTO ". PAGES ." (`uri`, `title`, `desc`) VALUES (?, ?, ?)", ['/Pages/Article/View?id='. $last, $data['name'], $data['text']]);
				# End insert Title and Description;

				htmlSuccess('Статья успешно добавлена.');
			}
		} 

		$category = DB::$dbs->query("SELECT * FROM ". ARTICLE_CATEGORY ."");
		?>

<div class="ContentBlock" style="text-align: center;">
	<form action="" method="POST" enctype="multipart/form-data">
		<b>Название(100):</b><br/>
		<input type="text" name="name" value="<?=(!empty($_POST['name']) ? filterOutput($_POST['name']) : null)?>"><br/> 
		<b>Текст(unlim):</b><br/>
		<textarea name="text"><?=(!empty($_POST['text']) ? filterOutput($_POST['text']) : null)?></textarea><br/>
		<b>Изображение:</b><br/>
		<input type="file" name="file"><br/>
		<b>Категория:</b><br/>
		<select name="categoryId">
			<?php while ($cat = $category -> fetch()) :?>
				<option value="<?=$cat['categoryId']?>"><?=$cat['name']?></option>
			<?php endwhile;?>
		</select><br/>
		<input type="submit" name="try" value="Добавить">
	</form>
</div>

		<?php
	}
} 

htmlFooter();