<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if ($User['access'] != 2) {
	htmlError('Ошибка доступа', 'user');
} else {
	if (isset($_GET['id'])) {
		$id = filterInt($_GET['id']);

		if ($User['id'] == $id) {
			htmlError('Нельзя блокировать себя', 'user');
		} else {
			$ank = DB::$dbs->queryFetch("SELECT * FROM ". USERS ." WHERE `id` = ?", [$id]); 

			if (empty($ank)) {
				htmlError('Пользователь не найден', 'user');
			} else {
				if (isset($_POST['try'])) {
					$data 			= $_POST;
					$data['time'] 	= $_SERVER['REQUEST_TIME'] + (3600 * filterInt($data['time']));
					$data['text'] 	= filterString($data['text']); 

					if (empty($data['time']) || empty($data['text'])) {
						htmlError('Обнаружено пустое поле', 'user');
					} else if (mb_strlen($data['text']) > 255) {
						htmlError('Превышено значение поля "причина"', 'user');
					} else {
						DB::$dbs->query("UPDATE ". USERS ." SET `blockTime` = ?, `blockText` = ?, `blockAdmin` = ? WHERE `id` = ?", [$data['time'], $data['text'], $User['id'], $ank['id']]);
						htmlSuccess('Пользователь заблокирован');
					}
				}
				?>

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Время(час):</b><br/>
		<input type="text" name="time"><br/>
		<b>Причина(max:255):</b><br/>
		<textarea name="text"></textarea><br/>
		<input type="submit" name="try" value="Заблокировать"> 
	</form>
</div>

				<?php
			}
		}
	} else {
		htmlError('Пользователь не найден', 'user');
	}
} 

htmlFooter();