<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if ($User['access'] != 2) 
{
	htmlError('Ошибка доступа', 'user');
} 
else 
{
	$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE_COMMENT ." WHERE `status` = ? ORDER BY `id`", [0]); 

	if (empty($all)) 
	{
		htmlError('Пусто.', 'user');
	} 
	else 
	{
		if (isset($_POST['success'])) 
		{
			$data 		= $_POST;
			$data['id'] = filterInt($data['id']);

			if (empty($data['id'])) 
			{
				htmlError('Не получен id комментария.', 'user');
			} 
			else 
			{
				$comm = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE_COMMENT ." WHERE `id` = ?", [$data['id']]);

				if (empty($comm)) 
				{
					htmlError('Комментарий не найден.', 'user');
				} 
				else 
				{
					DB::$dbs->query("UPDATE ". ARTICLE_COMMENT ." SET `status` = ? WHERE `id` = ?", [1, $data['id']]);
					htmlSuccess('Комментарий одобрен.', 'user');
				}
			}
		}

		if (isset($_POST['abort'])) 
		{
			$data 		= $_POST;
			$data['id'] = filterInt($data['id']);

			if (empty($data['id'])) 
			{
				htmlError('Не получен id комментария.', 'user');
			} 
			else 
			{
				$comm = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `id` = ?", [$data['id']]);

				if (empty($comm)) 
				{
					htmlError('Комментарий не найден.', 'user');
				} 
				else 
				{
					DB::$dbs->query("DELETE FROM ". ARTICLE_COMMENT ." WHERE `id` = ?", [$data['id']]);
					htmlSuccess('Комментарий отклонен.', 'user');
				}
			}
		} 

		$n 		= new Navigator($all,10,'');
		$sql 	= DB::$dbs->query("SELECT * FROM ". ARTICLE_COMMENT ." WHERE `status` = ? ORDER BY `id` LIMIT {$n->start()}, 10", [0]);

		?>

<div class="ContentBlock">

		<?php while($comm = $sql -> fetch()) :?>

	<div class="InformationBlock" style="font-weight: normal;">
		<form action="" method="POST">
			<b>Комментарий:</b><br/>
			<?=filterOutput($comm['text'])?><br/>
			<b>Автор:</b><br/>
			<?=userLink($comm['user'])?><br/>
			<input type="hidden" name="id" value="<?=filterInt($comm['id'])?>">
			<input type="submit" name="success" value="Одобрить"> 
			<input type="submit" name="abort" value="Отклонить"> 
		</form>
	</div>

		<?php endwhile;?>
		<?=$n->navi();?>

</div> 

		<?php
	}
}

htmlFooter();