<?php

define("_SITE_", 1);

require_once("../../../Core/Core.php");

userCheckAuthorization();

if (isset($_POST['try'])) 
{
	$data = $_POST;

	if (!password_verify($data['password'], $User['password'])) 
	{
		htmlError('Не верный пароль.', 'user');
	} 
	else 
	{
		if (mb_strlen($data['newPassword']) < 4 || mb_strlen($data['newPassword']) > 15) 
		{
			htmlError('Новый пароль должен быть в диапазоне [4-12].', 'user');
		} 
		else if (empty($data['newPassword'])) 
		{
			htmlError('Не введен новый пароль.', 'user');
		} 
		else if ($data['token'] != $User['token']) 
		{
			htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
		}
		else 
		{
			DB::$dbs->query("UPDATE ". USERS ." SET `password` = ? WHERE `id` = ?", [password_hash($data['newPassword'], PASSWORD_DEFAULT), $User['id']]);
			htmlSuccess('Вы успешно сменили пароль.');
		}
	}
}

?> 

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Старый пароль:</b><br/>
		<input type="text" name="password"><br/>
		<b>Новый пароль[4-15]:</b><br/>
		<input type="text" name="newPassword"><br/>
		<input type="hidden" name="token" value="<?=$User['token']?>">
		<input type="submit" name="try" value="Сменить">
	</form>
</div>

<?php

htmlFooter();