<?php

defined('_SITE_') or die('Error. You don`t have permision to access.');

function countAllSites() 
{
	$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ."");

	return (!empty($count) ? filterInt($count) : 0);
}

function countActiveSites() 
{
	$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `status` = ?", [1]);

	return (!empty($count) ? filterInt($count) : 0);
}

function countUserSites() 
{
	global $User;
	
	$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `userId` = ?", [$User['id']]);

	return (!empty($count) ? filterInt($count) : 0);
}

function countAllUsers() 
{
	$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". USERS ."");

	return (!empty($count) ? filterInt($count) : 0);
}

function countAllClick() 
{
	$count = DB::$dbs->querySingle("SELECT SUM(`click`) FROM ". SITES ."");

	return (!empty($count) ? filterInt($count) : 0);
}

function countHotClick() 
{
    $count = DB::$dbs->querySingle("SELECT SUM(`clickHot`) FROM ". SITES ."");

    return (!empty($count) ? filterInt($count) : 0);
}

function countTime ($time = null) 
{
    if ($time == NULL)$time = time();
    $timep="".date("j M yг. в H:i", $time)."";
    $time_p[0]=date("j n Y", $time);
    $time_p[1]=date("H:i", $time);

    if ($time_p[0] == date("j n Y"))$timep = date("H:i:s", $time);
    if ($time_p[0] == date("j n Y", time()-60*60*24))$timep = "Вчера в $time_p[1]";

    $timep=str_replace("Jan","Янв",$timep);
    $timep=str_replace("Feb","Фев",$timep);
    $timep=str_replace("Mar","Мар",$timep);
    $timep=str_replace("May","Мая",$timep);
    $timep=str_replace("Apr","Апр",$timep);
    $timep=str_replace("Jun","Июня",$timep);
    $timep=str_replace("Jul","Июля",$timep);
    $timep=str_replace("Aug","Авг",$timep);
    $timep=str_replace("Sep","Сент",$timep);
    $timep=str_replace("Oct","Окт",$timep);
    $timep=str_replace("Nov","Нояб",$timep);
    $timep=str_replace("Dec","Дек",$timep);
    return $timep;
}

function countChatMsg() 
{
	$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". CHAT ."");

	return filterInt($count);
}