<?php
/*
 * Module [Article::NewCategory];
 * Author [_TuRbO_];
 */
define("_SITE_", 1);

require_once ('../../Core/Core.php');

if (empty($User)) 
{
	htmlError('Создавать категории может только администрация', 'user');
} 
else 
{
	if ($User['access'] != 2) 
	{
		htmlError('Создавать категории может только администрация', 'user');
	} 
	else 
	{ 
		# Form handler;
		if (isset($_POST['try'])) 
		{
			$data 				= $_POST;
			$data['name'] 		= filterString($data['name']);
			$data['categoryId'] = filterInt($data['categoryId']); 

			if (empty($data['name']) || empty($data['categoryId'])) 
			{
				htmlError('Обнаружено пустое поле', 'user');
			} 
			else 
			{
				DB::$dbs->query("INSERT INTO ". ARTICLE_CATEGORY ." (`name`, `categoryId`) VALUES (?, ?)", [$data['name'], $data['categoryId']]);
				htmlSuccess('Категория успешно создана.');
			}
		}
		?>

<div class="ContentBlock" style="text-align: center;">
	<form action="" method="POST">
		<b>Название:</b><br/>
		<input type="text" name="name"><br/> 
		<b>ID категории:</b><br/>
		<input type="text" name="categoryId"><br/>
		<input type="submit" name="try" value="Создать">
	</form>
</div>

		<?php
	}
}

htmlFooter();