<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

userCheckAuthorization('off');

if (isset($_POST['try'])) 
{
	$data 			= $_POST;
	$data['login'] 	= filterString($data['login']);
	$data['email'] 	= filterString($data['email']);
	$data['code'] 	= filterString($data['code']);

	if ($_SESSION['restoreEmailTime'] > $_SERVER['REQUEST_TIME']) 
	{
		htmlError('Пароль можно отправлять только раз в 1 час.', 'user');
	} 
	else if (empty($data['login']) || empty($data['email']) || empty($data['code'])) 
	{
		htmlError('Обнаружено пустое поле.', 'user');
	}
	else if ($data['code'] != $_SESSION['code']) 
	{
		htmlError('Код с картинки введен не верно.', 'user');
	}
	else 
	{
		$ank = DB::$dbs->queryFetch("SELECT `id`, `login` FROM ". USERS ." WHERE `login` = ? and `email` = ? and `emailConfirm` = ?", [$data['login'], $data['email'], 1]);

		if (empty($ank)) 
		{
			htmlError('Пользователь с такой парой "логин - пароль" не найден.', 'user');
		} 
		else 
		{
			$newPassword = md5(rand(1, 999999999) . $_SERVER['REQUEST_TIME']);
			userSendEmail(filterOutput($ank['email']), 'Восстановление пароля', 'Вы запросили восстановление пароля. Логин: '. filterOutput($ank['login']) .' Пароль: '. $newPassword .'. Снова запросить код можно будет через 1 час.', 'amfetaminf@gmail.com');
			DB::$dbs->query("UPDATE ". USERS ." SET `password` = ? WHERE `id` = ?", [password_hash($newPassword, PASSWORD_DEFAULT), $ank['id']]);
			$_SESSION['restoreEmailTime'] = $_SERVER['REQUEST_TIME'] + 3600;
			htmlSuccess('На указаный вами Email отправлен новый пароль.');
		}
	}
}

?>

<div class="ContentBlock">
	<form action="<?=HOME?>/Pages/Login/Restore" method="POST">
		<b>Логин:</b><br/>
		<input type="text" name="login"><br/>
		<b>Email:</b><br/>
		<input type="text" name="email"><br/>
		<b>Код с картинки[4]:</b><br/>
		<img src="<?=HOME?>/Pages/Login/Code"><br/>
		<input type="text" name="code"><br/>
		<input type="submit" name="try" value="Восстановить">
	</form>
</div>

<div class="InformationBlock">
	<?=htmlIcon('!')?> Email обязательно должен быть активирован.<br/>
	<?=htmlIcon('!')?> На указаный вами Email будет отправлен новый пароль.<br/>
</div>

<?php

htmlFooter();