<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

userCheckAuthorization();

$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". AUTH_LIST ." WHERE `userId` = ? ORDER BY `id` DESC", [$User['id']]);
$n 	 = new Navigator($all,10,'');
$sql = DB::$dbs->query("SELECT * FROM ". AUTH_LIST ." WHERE `userId` = ? ORDER BY `id` DESC LIMIT {$n->start()}, 10", [$User['id']]); 

if (empty($all)) 
{
	?> 

<div class="ContentBlock"> 
	История авторизаций отсутствует.
</div>
	<?php
} 
else 
{ 
	if (isset($_POST['clean'])) 
	{
		DB::$dbs->query("DELETE FROM ". AUTH_LIST ." WHERE `userId` = ?", [$User['id']]);
		header("Location: ?");
	}
	?>

<div class="ContentBlock" style="padding: 4px;"> 

	<?php

	while ($data = $sql -> fetch()) 
	{
		?> 

	<b>Id:<?=$data['id']?></b> <b>Ip:</b> <?=filterOutput($data['ip'])?> <b>UserAgent:</b> <?=filterOutput($data['userAgent'])?> <b>Время:</b> <?=htmlTime($data['time'])?> <b>Статус:</b> <?=(empty($data['status']) ? '<span style="color: red;">[провалено]</span>' : '<span style="color: green;">[успешно]</span>')?> 
	<div class="BodyLine"></div> 

		<?php
	}

	?>
<?=$n->navi();?> 
</div>

<div class="ContentBlock">
	<form action="" method="POST">
		<input type="submit" name="clean" value="Очистить историю авторизаций">
	</form>
</div>

<div class="InformationBlock">
	- После очистки истории авторизации злоумышленник имеет возможность авторизоваться снова.<br/>
	- Если вы увидели подозрительную активность в истории, обратитесь к администратору.<br/>
	- После того как вы очистили историю авторизаций, уже нет смысла обращаться к администратору потому как просмотреть историю уже становиться не возможно.
</div>
	
	<?php
}

htmlFooter();