<?php

define("_SITE_", 1);

require_once("../../../Core/Core.php");

userCheckAuthorization();

if (isset($_POST['activate']) && empty($User['emailConfirm'])) 
{
	$data = $_POST;

	if ($data['token'] != $User['token']) 
	{
		htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
	} 
	else 
	{
		if (!empty($_SESSION['emailRestoreTime']) > $_SERVER['REQUEST_TIME']) 
		{
			htmlError('Код активации можно отправлять только раз в 5 минут.', 'user');
		} 
		else 
		{
			$code 							= md5(rand(1, 9999) . $_SERVER['REQUEST_TIME']);
			$_SESSION['emailCode'] 			= $code;
			$_SESSION['emailRestoreTime'] 	= $_SERVER['REQUEST_TIME'] + 300;
			userSendEmail(filterOutput($User['email']), 'Подтверждение Email', 'Вы запросили код для подтверждения Email. Код подтверждения: '. $code .'. Снова запросить код можно будет через 5 минут.', 'amfetaminf@gmail.com');
			htmlSuccess('Код отправлен.');
		}
	}
}

if (isset($_POST['activateConfirm']) && empty($User['emailConfirm'])) 
{
	$data 				= $_POST;
	$data['emailCode'] 	= filterString($data['emailCode']);
	$data['code'] 		= filterString($data['code']);

	if (empty($data['emailCode']) || empty($data['code'])) 
	{
		htmlError('Обнаружено пустое поле.', 'user');
	} 
	else if ($data['emailCode'] != $_SESSION['emailCode']) 
	{
		htmlError('Код подтверждение введен не верно, или время его действия истекло.', 'user');
	} 
	else if ($data['code'] != $_SESSION['code']) 
	{
		htmlError('Код с картинки введен не верно.', 'user');
	} 
	else if ($data['token'] != $User['token']) 
	{
		htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
	} 
	else 
	{
		DB::$dbs->query("UPDATE ". USERS ." SET `emailConfirm` = ? WHERE `id` = ?", [1, $User['id']]);
		htmlSuccess('Email подтвержден.');
	}
}
?>

<div class="ContentBlock">
	<b>Email:</b><br/>
	<?=filterOutput($User['email'])?><br/>

	<?php
	if (empty($User['emailConfirm']) && empty($_SESSION['emailCode'])) 
	{
		?>
	<b><u>Код активации можно отправлять только раз в 5 минут.</u></b><br/>
	<form action="" method="POST">
		<input type="hidden" name="token" value="<?=$User['token']?>">
		<?=($_SESSION['emailRestoreTime'] < $_SERVER['REQUEST_TIME'] ? '<input type="submit" name="activate" value="Отправить код активации">' : null)?>
	</form>
		<?php
	} 
	else if (empty($User['emailConfirm']) && !empty($_SESSION['emailCode'])) 
	{
		?>

	<form action="" method="POST">
		На ваш email отправлен код подтверждения. Проверьте свою почту и введите этот код ниже.<br/>
		<b>Код:</b><br/>
		<input type="text" name="emailCode" placeholder="Код полученый на email"><br/> 
		<b>Код с картинки[4]:</b><br/>
		<img src="<?=HOME?>/Pages/Login/Code"><br/>
		<input type="text" name="code"><br/>
		<input type="hidden" name="token" value="<?=$User['token']?>"> 
		<input type="submit" name="activateConfirm" value="Активировать">
		<?=($_SESSION['emailRestoreTime'] < $_SERVER['REQUEST_TIME'] ? '<input type="submit" name="activate" value="Отправить код снова">' : null)?> 
	</form>

		<?php
	} 
	else if ($User['emailConfirm'] == 1) 
	{
		?> 

	<span style="color: green;">[Подтвержден]</span>

		<?php
	}
	?>

</div>

<?php

htmlFooter();