<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

if (isset($_POST['try'])) {
	$data 				= $_POST;
	$data['text'] 		= filterString($data['text']);
	$data['searchType'] = filterInt($data['searchType']);
	$allowType 			= [1, 2];

	# Error handler;
	if (empty($data['text'])) {
		htmlError('Пустой запрос', 'user');
	} else if (empty($data['searchType'])) {
		htmlError('Пустой тип поиска', 'user');
	} else if (!is_numeric($data['searchType'])) {
		htmlError('Путой тип поиска', 'user');
	} else if (!in_array($data['searchType'], $allowType)) {
		htmlError('Путой тип поиска', 'user');
	} else {
		# User search;
		if ($data['searchType'] == 1) {
			$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". USERS ." WHERE `login` LIKE '%". $data['text'] ."%'"); 

			if (empty($count)) {
				htmlError('Пользователь не нейден', 'user');
			} else {
				$n 		= new Navigator($count, $count,''); 
        		$sql 	= DB::$dbs->query("SELECT * FROM ".USERS." WHERE `login` LIKE '%". $data['text'] ."%' ORDER BY `id` DESC LIMIT {$n->start()}, {$count}"); 
        		?>

<div class="ContentHeader">
	Найдено (<?=filterInt($count)?>) пользователей.
</div>

<div class="ContentBlock">
	<div class="ContentScroll">

				<?php while ($ank = $sql -> fetch()) :?>

	<?=userLink($ank['id'])?>	

        		<?php endwhile; ?>

    </div>
</div> 

				<?php
			}
		} else if ($data['searchType'] == 2) {
			$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE ." WHERE `name` LIKE '%". $data['text'] ."%'"); 

			if (empty($count)) {
				htmlError('Статья не нейдена', 'user');
			} else {
				$n 		= new Navigator($count,$count,''); 
        		$sql 	= DB::$dbs->query("SELECT * FROM ". ARTICLE ." WHERE `name` LIKE '%". $data['text'] ."%' ORDER BY `id` DESC LIMIT {$n->start()}, {$count}");
        		?>

<div class="ContentHeader">
	Найдено (<?=filterInt($count)?>) статей.
</div>

<div class="ContentBlock">
	<div class="ContentScroll">

				<?php while ($art = $sql -> fetch()) :?>

	<a href="<?=HOME?>/Pages/Article/View?id=<?=$art['id']?>" class="TouchLink"> <?=$art['name']?></a>	

        		<?php endwhile; ?>
    </div>
</div>


				<?php
			}
		} else {
			htmlError('Путой тип поиска', 'user');
		}
	}
} 
?>

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Поиск:</b><br/>
		<input type="text" name="text"><br/>
		<b>Искать:</b><br/>
		<select name="searchType">
			<option value="1">Пользователя</option>
			<option value="2">Статью</option>
		</select><br/>
		<input type="submit" name="try" value="Поиск">
	</form>
</div>

<?php

htmlFooter();