<?php
define ("_SITE_", 1);

define('root', $_SERVER['DOCUMENT_ROOT'].'/'); // Home directory;

require_once root . '/Core/Core.php';

if (isset($_GET['error']) && is_numeric($_GET['error'])) 
{
    $error = filterInt($_GET['error']);

    ?>

<div class="SystemError" style="text-align: center;width: 100%;">

    <?php

    switch ($error) 
    {
        case 400: 
        $err = 'Обнаруженная ошибка в запросе';
        break;
        case 401: 
        $err = 'Нет прав для выдачи документа';
        break;
        case 402: 
        $err = 'Не реализованный код запроса';
        break;
        case 403: 
        $err = 'Доступ запрещен';
        break;
        case 404: 
        $err = 'Нет такой страницы';
        break;
        case 500: 
        $err = 'Внутренняя ошибка сервера';
        break;
        case 502: 
        $err = 'Сервер получил недопустимые ответы другого сервера';
        break;
    } 

    $array = ['400', '401', '402', '403', '404', '500', '502'];
    ?>

    <?=(in_array($error, $array) ? '<h1 style="color: darkorange;">'. $error .'</h1>' : null)?> 
    <h1 style="font-size: 14px;">Обнаружена ошибка! Приносим свои извинения!</h1>
    Текст ошибки: <?=(!empty($err) ? $err : 'Неизвестная ошибка')?>.

</div>
    <?php
} 
else 
{
    header("Location: ".HOME."/");
}

htmlFooter();