<?php

define("_SITE_", 1);

require_once ('/Core/Core.php');

$article 	= DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE ."");
$sql 		= DB::$dbs->query("SELECT * FROM ". ARTICLE ." ORDER BY RAND() LIMIT 5");
$articleNew = DB::$dbs->query("SELECT * FROM ". ARTICLE ." ORDER BY `timeAdd` DESC LIMIT 5");
?>

<section id="container">
	<div class="wrap-container zerogrid">
		<div id="main-content" class="col-2-3">
			<div class="wrap-content">
				<div class="article">
					<div class="header">
						Случайные статьи
					</div>
					<div class="row">
						<?php while($art = $sql -> fetch()) :?> 
							<div class="col-1-1">
								<div class="wrap-col">
									<div class="post">
										<div class="view effect">  
										 	<img class="thumb" src="<?=(empty($art['image']) ? '/Images/none.png' : '/Images/Article/'. filterOutput($art['image']))?>" /> 			
										</div> 
										<div class="text">
											<h1 style="font-size: 18px;"><a href="<?=HOME?>/Pages/Article/View?id=<?=filterInt($art['id'])?>"><?=filterOutput($art['name'])?></a></h1>
									  		<?=filterOutput($art['text'], 1)?>
									  	</div>
									</div>
								</div>
							</div>
						<?php endwhile;?>
					</div>
				</div>
			</div>
		</div>
		<div id="sidebar" class="col-1-3">
			<div class="wrap-sidebar">
				<!---- Start Widget ---->
				<div class="widget wid-new-updates">
					<div class="wid-header">
						<h5>Новинки !</h5>
					</div>
					<div class="wid-content">
						<ul>
							<?php while($art = $articleNew -> fetch()) :?>
								<li><a href="<?=HOME?>/Pages/Article/View?id=<?=$art['id']?>"> <?=filterOutput($art['name'])?></a></li>
							<?php endwhile;?>
						</ul>
					</div>
				</div>
				<!---- Start Widget ---->
				<div class="widget wid-tag">
					<div class="wid-header">
						<h5>Поиск</h5>
					</div>
					<div class="wid-content" style="padding: 4px;text-align: center;">
						<form action="<?=HOME?>/Pages/Search/" method="POST">
							<input type="text" name="text"><br/>
							<select name="searchType">
								<option value="1">Пользователя</option>
								<option value="2">Статью</option>
							</select><br/>
							<input type="submit" name="try" value="Искать">
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

<?php

htmlFooter();